> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snackbase.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Endpoint Executions

> List execution history for a custom endpoint, newest first.



## OpenAPI

````yaml get /api/v1/endpoints/{endpoint_id}/executions
openapi: 3.1.0
info:
  title: SnackBase
  description: Open-source Backend-as-a-Service (BaaS)
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/endpoints/{endpoint_id}/executions:
    get:
      tags:
        - endpoints
        - Endpoints
      summary: List Endpoint Executions
      description: List execution history for a custom endpoint, newest first.
      operationId: list_endpoint_executions_api_v1_endpoints__endpoint_id__executions_get
      parameters:
        - name: endpoint_id
          in: path
          required: true
          schema:
            type: string
            title: Endpoint Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            default: 50
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EndpointExecutionListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    EndpointExecutionListResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/EndpointExecutionResponse'
          type: array
          title: Items
        total:
          type: integer
          title: Total
      type: object
      required:
        - items
        - total
      title: EndpointExecutionListResponse
      description: Paginated list of endpoint executions.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    EndpointExecutionResponse:
      properties:
        id:
          type: string
          title: Id
        endpoint_id:
          type: string
          title: Endpoint Id
        status:
          type: string
          title: Status
        http_status:
          type: integer
          title: Http Status
        duration_ms:
          anyOf:
            - type: integer
            - type: 'null'
          title: Duration Ms
        request_data:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Request Data
        response_body:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Response Body
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
        executed_at:
          type: string
          format: date-time
          title: Executed At
      type: object
      required:
        - id
        - endpoint_id
        - status
        - http_status
        - duration_ms
        - request_data
        - response_body
        - error_message
        - executed_at
      title: EndpointExecutionResponse
      description: Response schema for a single endpoint execution record.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````